export declare const _curry: unique symbol;
export default abstract class Curryable {
    /**
     * Curry a binary function.
     *
     * @alpha
     */
    [_curry]<A, B, C>(this: (a: A, b: B) => C): (a: A) => (b: B) => C;
}
declare global {
    interface Function extends Curryable {
    }
}
//# sourceMappingURL=Curryable.d.ts.map