"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.once = void 0;
const core_1 = require("@symbola/core");
exports.once = Symbol('once');
class Onceable {
    [exports.once]() {
        let called = false;
        let result;
        return (...args) => {
            if (called) {
                return result;
            }
            called = true;
            result = this(...args);
            return result;
        };
    }
}
exports.default = Onceable;
(0, core_1.extend)(Function.prototype, Onceable.prototype);
